# Ubuntu Testing Automation Harness
# Copyright 2012 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Test miscellaneous functionality."""


import os
import unittest

from utah.client.tests.common import get_module_path


class TestMisc(unittest.TestCase):

    """Test miscellaneous functionality."""

    def test_get_module_path(self):
        """Test getting the module path."""
        print("__file__: {}".format(__file__))

        # assumes this file is in 'utah/client/tests'
        file_path = os.path.abspath(os.path.join(os.path.dirname(__file__),
                                                 "../../"))
        self.assertEqual(file_path, get_module_path())
