#!/bin/sh

set +e
NAME=$(grep "^Running on machine:" log | sed 's/^Running on machine: //')
grep "$NAME" /var/log/utah/$(hostname).log* > fulllog
grep -qP "^\t/" log && cp $(grep -P "^\t/" log | sed 's/^\t//') .
mkdir -p clientlogs
ls *.yaml >/dev/null 2>&1 && mv *.yaml clientlogs
sudo /usr/share/utah/examples/utah_syslog.sh "$NAME" > syslog
exit 0
